Bug 1271842 - Using gallium_drv_video instead of vdpau_drv_video
Using gallium_drv_video instead of vdpau_drv_video
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 16:47 EDT by Nicolas Chauvet (kwizart)
Modified: 2016-09-14 04:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-14 04:05:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
symlinks (1.08 KB, patch)
2015-10-14 16:48 EDT, Nicolas Chauvet (kwizart)
no flags Details | Diff
Obsoletes (638 bytes, patch)
2015-10-14 16:48 EDT, Nicolas Chauvet (kwizart)
no flags Details | Diff

  None (edit)
Description Nicolas Chauvet (kwizart) 2015-10-14 16:47:07 EDT
Description of problem:
Now that mesa has gained support for vaapi backends, it's possible to use them natively instead of using the mesa vdpau backends for at least the following driver: r600 radeonsi and nouveau. (I've only tested with r600 on f22 yet ).


Version-Release number of selected component (if applicable):
current mesa package in rawhide (down to f22 mesa package).

How reproducible:
always

Steps to Reproduce:
1. Run vainfo (from libva-utils package)
with nouveau r600 radeonsi (i965 has it's own non-gallium libva intel backend).


Actual results:
vainfo output hardware acceleration capabilities using libva-vdpau-driver bridge to use vdpau backends

Expected results:
It should use native backends instead.

Additional info:
While that's probably safe to enable that on rawhide for the long run and deprecate the unmaintained upstream libva-vdpau-driver, I will do more testing for others drivers in stables branches.
Comment 1 Nicolas Chauvet (kwizart) 2015-10-14 16:48 EDT
Created attachment 1082979 [details]
symlinks
Comment 2 Nicolas Chauvet (kwizart) 2015-10-14 16:48 EDT
Created attachment 1082980 [details]
Obsoletes
Comment 3 Nicolas Chauvet (kwizart) 2015-10-14 17:01:31 EDT
Just for info, please hold theses patches, I have an issue with the nouveau case on f22. I need to verify on later mesa.
Comment 4 Igor Gnatenko 2015-10-18 02:20:45 EDT
(In reply to Nicolas Chauvet (kwizart) from comment #3)
> Just for info, please hold theses patches, I have an issue with the nouveau
> case on f22. I need to verify on later mesa.

any news?
Comment 5 Nicolas Chauvet (kwizart) 2015-10-18 09:10:35 EDT
I've an un-related issue with nouveau on my target workstation running f23
With nouveau of f22 using mesa vaapi backend breaks, so I need to reproduce with f23, maybe there is a structural issue with mesa and vaapi with nouveau...

I will update once I'm able to verify usability with nouveau
Comment 6 Nicolas Chauvet (kwizart) 2015-11-06 12:09:50 EST
Can you only apply the "symlinks" patch (and drop the obsoletes - forgot that libva-vdpau-driver can be used by the nvidia driver).

I haven't checked the nouveau case yet, my optimus laptop doesn't work well with recent kernel on f23 (either GA, 4.3 or 4.4).

Thx
Comment 7 Jan Kurik 2016-02-24 08:50:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 8 Igor Gnatenko 2016-09-14 04:05:47 EDT
Once you will have patch which doesn't break things and works for you, just send it to me by email and I will apply it.

Note You need to log in before you can comment on or make changes to this bug.